cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
366 Views
Message 1 of 1

The 'Your Box is already running the latest Version of Software' false message

Why do we have to put up with this false message?

The latest version for a DTRT2100 is 32.41.0/3.6.168 my box is running 32.36.0/3.6.154 yet I have to endure this false message saying I can't have anything beyond that because there supposedly isn't any

An honest message would be 'Sorry we haven't got round to your box yet, please be patient'

No wonder YouView box user numbers are still dwindling if this indicates the values the brand wishes to project

 

 

0 Ratings